Summary:	GNU Source Highlight
Summary(pl.UTF-8):	Podświetlanie składni z projektu GNU
Name:		source-highlight
Version:	3.1.8
Release:	5
License:	GPL v3+
Group:		Applications/Publishing
Source0:	http://ftp.gnu.org/gnu/src-highlite/%{name}-%{version}.tar.gz
# Source0-md5:	3243470706ef5fefdc3e43b5306a4e41
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/src-highlite/
BuildRequires:	bison
BuildRequires:	boost-devel >= 1.36.0
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program, given a source file, produces a document with syntax
highlighting.

This package can handle many programming languages, e.g. C/C++, Flex,
Java, PHP, Perl, Prolog, Python as source languages; and some output
formats, e.g. HTML, XHTML, LaTeX.

%description -l pl.UTF-8
Ten program z pliku źródłowego tworzy dokument z podświetloną
składnią.

Pakiet potrafi obsłużyć wiele języków programowania, np. C/C++, Flex,
Java, PHP, Perl, Prolog, Python jako języki źródłowe; oraz kilka
formatów wyjściowych, np. HTML, XHTML, LaTeX.

%package libs
Summary:	Source highlight library
Summary(pl.UTF-8):	Biblioteka podświetlania składni
Group:		Libraries

%description libs
Source highlight library.

%description libs -l pl.UTF-8
Biblioteka podświetlania składni.

%package devel
Summary:	Header file for srchlite library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki srchlite
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	boost-devel >= 1.36.0
Requires:	libstdc++-devel

%description devel
Header file for srchlite library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki srchlite.

%package static
Summary:	Static source-highlight library
Summary(pl.UTF-8):	Statyczna biblioteka source-highlight
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Statoic source highlight library.

%description static -l pl.UTF-8
Statyczna biblioteka podświetlania składni.

%package -n bash-completion-source-highlight
Summary:	bash-completion for source-higlight
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla pakietu source-highlight
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-source-highlight
This package provides bash-completion for source-highlight.

%description -n bash-completion-source-highlight -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla pakiet
source-highlight.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-boost-libdir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf docdir-%{name}-%{version}
%{__mv} -f $RPM_BUILD_ROOT%{_docdir}/%{name} docdir-%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsource-highlight.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO.txt doc/{*.css,*.html,*.java}
%doc docdir-%{name}-%{version}/*
%attr(755,root,root) %{_bindir}/check-regexp
%attr(755,root,root) %{_bindir}/cpp2html
%attr(755,root,root) %{_bindir}/java2html
%attr(755,root,root) %{_bindir}/source-highlight
%attr(755,root,root) %{_bindir}/source-highlight-esc.sh
%attr(755,root,root) %{_bindir}/source-highlight-settings
%attr(755,root,root) %{_bindir}/src-hilite-lesspipe.sh
%{_mandir}/man1/check-regexp.1*
%{_mandir}/man1/source-highlight.1*
%{_mandir}/man1/source-highlight-settings.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_infodir}/source-highlight.info*
%{_infodir}/source-highlight-lib.info*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsource-highlight.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsource-highlight.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsource-highlight.so
%{_includedir}/srchilite
%{_pkgconfigdir}/source-highlight.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsource-highlight.a

%files -n bash-completion-source-highlight
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/source-highlight
%changelog
* Sun May 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/source-highlight.git;a=log;h=master

* Sun May 15 2016 Jakub Bogusz <qboosh@pld-linux.org> d3f4796
- release 5 (boost rebuild)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 39aa943
- release 4 (by relup.sh)

* Sat Oct 31 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7eb7ad6
- release 3 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 7749a4f
- boost rebuild
- release 2 (by relup.sh)

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 0fa2a4a
- updated to 3.1.8
- updated info patch
- now there are too many source formats to list all in description

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5643d04
- x32 rebuild
- release 9 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 22c5b7c
- rebuild with boost 1.57.0
- release 8 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 7b52af0
- rebuild with boost 1.56.0
- release 7 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> d315cec
- - rebuild with boost 1.55.0
- release 6 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5022ad1
- release 5 (by relup.sh)

* Tue Jul 09 2013 Jan Rękorajski <baggins@pld-linux.org> 2353fd2
- fix for texinfo 5.1
- install docs properly
- rel 4

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cbd8c7e
- release 3 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 0fb0315
- Rebuild with boost 1.50
Release 2

* Sun Jul 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> 091814d
- updated to 3.1.7
- dropped *.la file

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 02aa5bb
- release 2

* Tue Jan 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 88a857b
- added devel deps

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 8cc44e3
- updated to 3.1.6

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> bbdd359
- updated to 3.1.5

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> be00927
- release 4 (rebuild with new boost)

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 5b55e40
- rel 3

